Loading...
Searching...
No Matches
Charge.h File Reference
`#include <RDGeneral/export.h>`
`#include <utility>`
`#include "MolStandardize.h"`
`#include <Catalogs/Catalog.h>`
`#include <GraphMol/MolStandardize/AcidBaseCatalog/AcidBaseCatalogEntry.h>`
`#include <GraphMol/MolStandardize/AcidBaseCatalog/AcidBaseCatalogParams.h>`

Go to the source code of this file.

## Classes

struct | RDKit::MolStandardize::ChargeCorrection
class | RDKit::MolStandardize::Reionizer
class | RDKit::MolStandardize::Uncharger
| The Uncharger class for neutralizing ionized acids and bases. More...

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolStandardize

## Typedefs

typedef RDCatalog::HierarchCatalog< AcidBaseCatalogEntry, AcidBaseCatalogParams, int > | RDKit::MolStandardize::AcidBaseCatalog

## Functions

Reionizer * | RDKit::MolStandardize::reionizerFromParams (const CleanupParameters &params)

## Variables

RDKIT_MOLSTANDARDIZE_EXPORT const CleanupParameters | RDKit::MolStandardize::defaultCleanupParameters
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< ChargeCorrection > | RDKit::MolStandardize::CHARGE_CORRECTIONS

## Detailed Description

    \brief Defines the Reionizer class and Uncharger class.

Definition in file Charge.h.